//Lite version of chronograph, using Optoschmitt sensors
#include <Wire.h>
#include <LiquidCrystal_I2C.h>
unsigned long start_time = 0;
unsigned long stop_time = 0;
unsigned long time_of_flight = 0;
float velocity = 0;
LiquidCrystal_I2C lcd(0x3F, 20, 4);
void setup() {
  Serial.begin(9600);
  pinMode(2, INPUT);
  pinMode(4, INPUT);
  lcd.init();
  lcd.backlight();
}
void loop() {
  while (digitalRead(2) == 1) {
    //Waiting for first sensor to trip
  }
  start_time = micros();
  while (digitalRead(4) == 1) {
  }
  stop_time = micros();
  time_of_flight = stop_time - start_time;
  Serial.print(" time of flight ");
  Serial.println(time_of_flight);
  velocity = 1000000 * .25 / (time_of_flight);
  lcd.clear();
  lcd.print("tm of flt ");
  lcd.print(time_of_flight);
  lcd.print(" us");
  lcd.setCursor(0, 2);
  lcd.print("Speed FPS ");
  lcd.print(velocity);
}
