/*The Battery Saver sketch, which uses multiple functions
  to create timing sequences */
int led = 12;
int Battin = A0;
int Relay = 9;
int volts = 0;
int volts2 = 0;
int volts3 = 0;
int B = 387; //Threshold trigger set point
void timer3() { //Shut off timer function
  delay(200);
  volts = analogRead(Battin); //Reset trigger point
  volts3 = map(volts, 0, 1023, 0, 500);
  if (volts3 > B) {
    digitalWrite(Relay, LOW);
  }
  else {
    digitalWrite(Relay, HIGH);
  }
}
void timer2() { //Fast blink timer function -- low voltage
  if (volts2 < B) {
    for (int j = 1; j < 1800; j++) {
      digitalWrite(led, HIGH);
      delay(10);
      digitalWrite(led, LOW);
      delay(90);
    }
  }
}
void timer() { //First timer function -- high voltage
  if (volts2 > B) {
    digitalWrite(led, HIGH);
    delay(200);
    digitalWrite(led, LOW);
    delay(1000);
  }
}
void setup() {
  Serial.begin(9600);
  pinMode(Relay, OUTPUT);
}
void loop() {
  delay(1000);
  volts = analogRead(Battin);
  volts2 = map(volts, 0, 1023, 0, 500);
  timer();
  if (volts2 < B) { //Set trigger point
    timer2();
  }
  if (volts2 < B) {
    timer3();
  }
}
