//Full Ballistic Chronograph
#include <Wire.h>
#include <LiquidCrystal_I2C.h>
LiquidCrystal_I2C lcd(0x27, 16, 2);
int DACpin = A0;
float DACvalue = 0;
float FPS;
float Time;
void setup() {
  lcd.init();
  lcd.backlight();
}
void loop() {
  DACvalue = analogRead(DACpin);
  Time = DACvalue * 5 / 1023 / 4 * 1000;
  FPS = .25 / Time * 1000000;
  lcd.setCursor(0, 0);
  lcd.print("Speed ");
  lcd.print(FPS, 0);
  lcd.setCursor(11, 0);
  lcd.setCursor(0, 1);
  lcd.print("Time ");
  lcd.print(Time);
  lcd.setCursor(11, 1);
  lcd.print(char(0XE4)); //To display the mu symbol, use 228 or 0XE4
  lcd.print("s");
}
